Bug 104721 - TB NCDevADSL.py:33:load:NameError: global name 'ConfDevice' is not defined
TB NCDevADSL.py:33:load:NameError: global name 'ConfDevice' is not defined
Product: Red Hat Linux Beta
Classification: Retired
Component: redhat-config-network (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Harald Hoyer
Depends On:
  Show dependency treegraph
Reported: 2003-09-19 14:16 EDT by Makoto Sakurai
Modified: 2005-10-31 17:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-10-27 08:39:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Makoto Sakurai 2003-09-19 14:16:06 EDT
Description of problem:

My distribution version is Red Hat Linux 10 beta(severn).

Firstly, I use Ethernet connectoin(LAN) to the internet. After that, I add my 
notebook computer's network connection xDSL, which demand provider's(in this 
time Biglobe) account and DNS address.

However, after pushing the start buttom of the xDSL connection, I have 
received the the following error message:


Component: redhat-config-network
Version: 1.3.1
Summary: TB NCDevADSL.py:33:load:NameError: global name 'ConfDevice' is not 
Traceback (most recent call last):
  File "/usr/sbin/redhat-config-network-gui", line 163, in main
    window = mainDialog()
  File "/usr/src/build/273296-noarch/install/usr/share/redhat-config-
network/netconfpkg/gui/maindialog.py", line 214, in __init__
  File "/usr/src/build/273296-noarch/install/usr/share/redhat-config-
network/netconfpkg/gui/maindialog.py", line 243, in load
  File "/usr/src/build/273296-noarch/install/usr/share/redhat-config-
network/netconfpkg/gui/maindialog.py", line 250, in loadDevices
  File "/usr/src/build/273296-noarch/install/usr/share/redhat-config-
network/netconfpkg/NCDeviceList.py", line 312, in getDeviceList
  File "/usr/src/build/273296-noarch/install/usr/share/redhat-config-
network/netconfpkg/NCDeviceList.py", line 135, in load
  File "/usr/src/build/273296-noarch/install/usr/share/redhat-config-
network/netconfpkg/plugins/NCDevADSL.py", line 33, in load
NameError: global name 'ConfDevice' is not defined

Local variables in innermost frame:
self: Device.Type=xDSL

name: Biglobe


And, I cannot start NIC as ADSL controller even by adsl-setup program.

Version-Release number of selected component (if applicable):

Version: 1.3.1

How reproducible:

Steps to Reproduce:
1.Connect Internet by LAN / Ethernet connection.
2.Add new connection of xDSL which demands accounts and DNS addresses.
3.Start the xDSL connection.
Actual results:

Expected results:

Additional info:
Comment 1 Dave Habben 2003-10-12 01:32:47 EDT
This seems to work properly with the updated version:

Care to try it again? If it works, this could probably be marked as RAWHIDE/CLOSED

Note You need to log in before you can comment on or make changes to this bug.